using FluentValidation;
using Indotalent.Shared.Consts;

namespace Indotalent.Features.Setting.Tax.Cqrs;

public class CreateTaxValidator : AbstractValidator<CreateTaxRequest>
{
    public CreateTaxValidator()
    {
        RuleFor(x => x.Code)
            .NotEmpty().WithMessage("Tax Code is required")
            .MaximumLength(GlobalConsts.StringLengthShort);

        RuleFor(x => x.Name)
            .NotEmpty().WithMessage("Tax Name is required")
            .MaximumLength(GlobalConsts.StringLengthShort);

        RuleFor(x => x.Category)
            .NotEmpty().WithMessage("Category is required")
            .MaximumLength(GlobalConsts.StringLengthShort);
    }
}